Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom
Class AbstractDocument.DocumentConfiguration.ParameterNameList

    java.lang.Object
      org.apache.batik.dom.AbstractDocument.DocumentConfiguration.ParameterNameList

All Implemented Interfaces:
  DOMStringList

Enclosing class:
  AbstractDocument.DocumentConfiguration

    protected class AbstractDocument.DocumentConfiguration.ParameterNameList

extends Object
implements DOMStringList

Class to expose the parameter names.

Constructor Summary
`protected` | `AbstractDocument.DocumentConfiguration.ParameterNameList()`

Method Summary
`boolean` | `contains(String s)` Returns whether the given parameter name is in the list.
`int` | `getLength()` Returns the number of parameter names in the list.
`String` | `item(int index)` Returns the parameter name at the given index.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractDocument.DocumentConfiguration.ParameterNameList

    protected AbstractDocument.DocumentConfiguration.ParameterNameList()

Method Detail

### item

    public String item(int index)

  Returns the parameter name at the given index.

  Specified by:
    `item` in interface `DOMStringList`

### getLength

    public int getLength()

  Returns the number of parameter names in the list.

  Specified by:
    `getLength` in interface `DOMStringList`

### contains

    public boolean contains(String s)

  Returns whether the given parameter name is in the list.

  Specified by:
    `contains` in interface `DOMStringList`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.